Forum Clubic

Mod_gnutls ne trouve aucune lib

Hello,

j’essaye d’installer mod_gnutls mais j’ai un petit problème :

./configure --with-apxs=/usr/bin/apxs2 --prefix=/usr --with-libgnutls-extra-prefix=/usr/local/lib/
[...]
configure: error:
***
*** libgnutls and libgnutls-extra were not found. You may want to get it from
*** [www.gnutls.org...](http://www.gnutls.org/)
***

Pourtant j’ai bien toutes les libs (que je viens d’installer) dans /usr/local/lib

ls /usr/local/lib/
libgcrypt.a      libgcrypt.so.11.4.4  libgnutls-extra.so         libgnutls-openssl.a      libgnutls-openssl.so.26.3.2  libgnutlsxx.a      libgnutlsxx.so.26.3.2  libgpg-error.so.0
libgcrypt.la     libgnutls.a          libgnutls-extra.so.26      libgnutls-openssl.la     libgnutls.so                 libgnutlsxx.la     libgpg-error.a         libgpg-error.so.0.4.0
libgcrypt.so     libgnutls-extra.a    libgnutls-extra.so.26.3.2  libgnutls-openssl.so     libgnutls.so.26              libgnutlsxx.so     libgpg-error.la        pkgconfig
libgcrypt.so.11  libgnutls-extra.la   libgnutls.la               libgnutls-openssl.so.26  libgnutls.so.26.3.2          libgnutlsxx.so.26  libgpg-error.so        python2.4

Je ne comprends vraiment pas pourquoi il n’arrive pas à les trouver… alors si vous avez une idée. :slight_smile:

Merci !
Edité le 15/05/2008 à 20:48

Un probleme de version? Mais je n´y crois pas trop…
–with-libgnutls-extra-prefix=/usr/local/lib/ est correct donc il devrait les trouver

et une install de ce module depuis le gestionnaire de package n’est pas possible ?

Nop. :confused: